LiteralFactorization.h File Reference
`#include <algorithm>`
`#include <vector>`
`#include <map>`
`#include <set>`
`#include <utility>`
`#include "groebner_defs.h"`

Go to the source code of this file.

## Classes

class | polybori::groebner::LiteralFactorization

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Functions

std::vector< Polynomial > | polybori::groebner::easy_linear_factors (const Polynomial &p)
deg_type | polybori::groebner::common_literal_factors_deg (const LiteralFactorization &a, const LiteralFactorization &b)
Polynomial | polybori::groebner::multiply_with_literal_factors (const LiteralFactorization &lf, Polynomial p)